%ifnarch %{ix86} %{arm}
%bcond_without check
%endif

%global goipath         github.com/xlab/treeprint
Version:                1.1.0

%gometa

%global common_description %{expand:
Package Treeprint provides a simple ASCII tree composing tool.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Simple ASCII tree composing tool

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-1
- initial build
